Error
A valid request URL is required to generate request examples{
"id": "<string>",
"targetType": "chat",
"targetId": "<string>",
"assigneeEmail": "<string>",
"assignedBy": "<string>",
"originatorEmail": "<string>",
"completionCriteria": "chat_visited",
"attempts": [
{
"startedAt": "<string>",
"chatLogId": "<string>",
"completedAt": "<string>",
"outcome": "success",
"score": 123,
"outcomeData": {},
"note": "<string>"
}
],
"status": "pending",
"delegationChain": [
"<string>"
],
"targetVersion": "<string>",
"targetTitle": "<string>",
"originatorName": "<string>",
"originatorMessage": "<string>",
"dueAt": "<string>",
"expiresAt": "<string>",
"maxAttempts": 123,
"cancelledAt": "<string>",
"cancelledBy": "<string>",
"cancellationReason": "<string>",
"allowRejection": true,
"rejectedAt": "<string>",
"rejectedBy": "<string>",
"rejectionReason": "<string>",
"allowDelegation": true,
"delegatedFrom": "<string>",
"delegatedTo": "<string>",
"delegationReason": "<string>",
"reassignedFrom": "<string>",
"scheduleId": "<string>",
"lastReminderAt": "<string>",
"remindersSent": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"_ts": 123,
"_etag": "<string>"
}Assignments
Delegate an assignment
Transfers the obligation to another user. Requires allowDelegation: true. Creates a successor assignment for toUpn and transitions this assignment to DELEGATED. Loop prevention: toUpn must not appear in delegationChain.
POST
/
assignments
/
{id}
/
delegate
Error
A valid request URL is required to generate request examples{
"id": "<string>",
"targetType": "chat",
"targetId": "<string>",
"assigneeEmail": "<string>",
"assignedBy": "<string>",
"originatorEmail": "<string>",
"completionCriteria": "chat_visited",
"attempts": [
{
"startedAt": "<string>",
"chatLogId": "<string>",
"completedAt": "<string>",
"outcome": "success",
"score": 123,
"outcomeData": {},
"note": "<string>"
}
],
"status": "pending",
"delegationChain": [
"<string>"
],
"targetVersion": "<string>",
"targetTitle": "<string>",
"originatorName": "<string>",
"originatorMessage": "<string>",
"dueAt": "<string>",
"expiresAt": "<string>",
"maxAttempts": 123,
"cancelledAt": "<string>",
"cancelledBy": "<string>",
"cancellationReason": "<string>",
"allowRejection": true,
"rejectedAt": "<string>",
"rejectedBy": "<string>",
"rejectionReason": "<string>",
"allowDelegation": true,
"delegatedFrom": "<string>",
"delegatedTo": "<string>",
"delegationReason": "<string>",
"reassignedFrom": "<string>",
"scheduleId": "<string>",
"lastReminderAt": "<string>",
"remindersSent": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"_ts": 123,
"_etag": "<string>"
}Authorizations
Azure AD access token obtained via MSAL
Path Parameters
Response
Successor assignment created for the delegate
Available options:
chat, document, survey Available options:
chat_visited, chat_engaged, flow_started, flow_completed, flow_passed, manual Show child attributes
Show child attributes
Available options:
pending, in_progress, completed, failed, expired, cancelled, rejected, delegated Was this page helpful?